
Redmine - Defect #7430

Log time page broken after 1.1 update

2011-01-24 21:34 - Osama Sayed

Status: Closed Start date: 2011-01-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.1.0

Description

When I try to access this link after upgrading:

https://redmine.coformatique.com/issues/###/time_entries/###/edit

I get a 404 error. Here's the log:

Processing IssuesController#show (for xx.xx.xx.xx at 2011-01-24 21:31:58) [GET]

  Parameters: {"action"=>"show", "id"=>"###", "controller"=>"issues"}

Rendering template within layouts/base

Rendering issues/show.rhtml

Completed in 437ms (View: 305, DB: 72) | 200 OK

History

#1 - 2011-01-25 18:18 - Jean-Philippe Lang

When I try to access this link after upgrading

 Where do you see this link?

#2 - 2011-01-25 18:20 - Osama Sayed

In the Log time link within any issue! Of course you would need to substitute the ### with the issue number.

#3 - 2011-01-26 01:54 - innate ideas

I don't experience this issue on Redmine 1.1.0 upgraded from 1.0.4 running on SUSE Linux Enterprise Server 10sp3. Using default theme.

#4 - 2011-01-26 09:10 - Michael Tuschik

Hi there,

we get a simmilar error when accessing the timelog of an issue:

Processing TimelogController#details (for 10.193.2.16 at 2011-01-26 09:03:24) [GET]

  Parameters: {"project_id"=>"caruso-dev-aep", "issue_id"=>"265", "action"=>"details", "controller"=>"timelog"

}

Rendering template within layouts/base

Rendering common/error (403)

Filter chain halted as [:authorize] rendered_or_redirected.

Completed in 21ms (View: 16, DB: 1) | 403 Forbidden [http://our.redmine.host/projects/my-project/timelog/detai

ls?issue_id=265]

 All time tracking privileges are granted to my user account.

Any hints on this?

Thanks

Michael

#5 - 2011-01-26 09:37 - Jarek Potiuk

I have very similiar problem. The log tells:

ctionController::RoutingError (No route matches "/plugin_assets/timesheet_plugin/javascripts/timesheet.js" with {:method=>:get}):
/vendor/rails/actionpack/lib/action_controller/routing/recognition_optimisation.rb:66:in `recognize_path'

/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:390:in `recognize'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:183:in `handle_request'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:112:in `dispatch_unlocked'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:125:in `dispatch'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:124:in `synchronize'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:124:in `dispatch'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:134:in `dispatch_cgi'

/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:41:in `dispatch'

/usr/lib/ruby/1.8/phusion_passenger/railz/request_handler.rb:50:in `process_request'

/usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:374:in `start_request_handler'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:332:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:330:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

/usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:209:in `start'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

/usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

/usr/lib/phusion_passenger/passenger-spawn-server:61

Rendering /usr/share/redmine/public/404.html (404 Not Found)

#6 - 2011-01-28 14:38 - Michael Tuschik

Michael Tuschik wrote:

Hi there,

we get a simmilar error when accessing the timelog of an issue:

[...]

All time tracking privileges are granted to my user account.

Any hints on this?

Thanks

Michael

 Hi,

we've found out, that this might be a problem with one of our installed plugins. There is an URL mismatch between the usual URL for time entries

.../issues/###/time_entries and the URL, which our Redmine generates: .../projects/my-project/timelog/details?issue_id=###. So we have to look,

where this come from and it doesn't belong to this ticket. Sorry for the spam.

Michael

#7 - 2011-01-28 15:29 - Michael Tuschik

Michael Tuschik wrote:

Michael Tuschik wrote:

Hi there,

we get a simmilar error when accessing the timelog of an issue:

[...]

All time tracking privileges are granted to my user account.

Any hints on this?
Thanks

Michael

 Hi,

we've found out, that this might be a problem with one of our installed plugins. There is an URL mismatch between the usual URL for time

entries .../issues/###/time_entries and the URL, which our Redmine generates: .../projects/my-project/timelog/details?issue_id=###. So we have

to look, where this come from and it doesn't belong to this ticket. Sorry for the spam.

Michael

 Update:

Source of our problem is the advanced roadmap plugin, which overrides the issues view. I got hints on this due to defect #6754

Maybe this helps solving this issue.

Michael

#8 - 2011-04-04 15:55 - Peter Englmaier

We also see this issue in 1.1.2.stale.5032 (MySQL).

The problem is, that the link behind the 'Log Time' button is:

    https://my-redmine.site/issues/396/time_entries/396/edit

but it should be:

    https://my-redmine.site/issues/396/time_entries/new

#9 - 2011-04-04 16:23 - Etienne Massip

With no plugin ?

#10 - 2011-04-07 11:30 - Peter Englmaier

I have a few plugins:

redmine_changeauthor

redmine_xls_export

Moving the redmine_changeauthor out of the vendor/plugin directory and restarting the server fixes the problem. Hmmm, I need to check if there is an

update for the changeauthor plugin.

#11 - 2011-04-07 11:44 - Peter Englmaier

The plugin has no new version, but the following change in the plugin fixes the problem for me:

# diff -u redmine_changeauthor/app/views/issues/_action_menu.rhtml-orig redmine_changeauthor/app/views/issues/

_action_menu.rhtml

--- redmine_changeauthor/app/views/issues/_action_menu.rhtml-orig    2011-02-21 15:29:11.000000000 +0100

+++ redmine_changeauthor/app/views/issues/_action_menu.rhtml    2011-04-07 11:36:26.000000000 +0200

@@ -3,7 +3,7 @@

 <div class="contextual">

 <%= link_to(l(:button_authorchange), {:controller => 'changeauthor', :action => 'index', :issue_id => @issue 

}, :class => 'icon icon-close redmine-authorchange-button') %>

 <%= link_to_if_authorized(l(:button_update), {:controller => 'issues', :action => 'edit', :id => @issue }, :o

nclick => 'showAndScrollTo("update", "notes"); return false;', :class => 'icon icon-edit', :accesskey => acces

skey(:edit)) %>

-<%= link_to_if_authorized l(:button_log_time), {:controller => 'timelog', :action => 'edit', :issue_id => @is

sue}, :class => 'icon icon-time-add' %>

+<%= link_to_if_authorized l(:button_log_time), {:controller => 'timelog', :action => 'new', :issue_id => @iss

ue}, :class => 'icon icon-time-add' %>

 <% replace_watcher ||= 'watcher' %>

 <%= watcher_tag(@issue, User.current, {:id => replace_watcher, :replace => ['watcher','watcher2']}) %>

 <%= link_to_if_authorized l(:button_duplicate), {:controller => 'issues', :action => 'new', :project_id => @p

roject, :copy_from => @issue }, :class => 'icon icon-duplicate' %>

 Can someone coordinate the change with the plugin author? Or is change_author going to be a standard feature in the next redmine version?

#12 - 2011-04-07 14:46 - Etienne Massip
https://www.redmine.org/issues/6754


- Status changed from New to Closed

- Resolution set to Invalid

I close the issue as it's a plugin issue.

The plugin page is telling that the plugin is compatible with 1.1.x. Moreover, there are some recent commits on the plugin Github page (you'll find the

link on the plugin description page).
